<%- if controller_name != 'sessions' %>
  <% scope = Devise::Mapping.find_scope!(resource_name) %>
  <%= link_to t('active_admin.devise.links.sign_in'), send(:"new_#{scope}_session_path") %>
  <br>
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to t('active_admin.devise.links.sign_up'), new_registration_path(resource_name) %>
  <br>
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to t('active_admin.devise.links.resend_unlock_instructions'), new_unlock_path(resource_name) %>
  <br>
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to t('active_admin.devise.links.sign_in_with_omniauth_provider', provider: provider.to_s.titleize),
          omniauth_authorize_path(resource_name, provider) %>
    <br>
  <% end -%>
<% end -%>